Subject: Re: [PATCH] macvlan: Support interface operstate properly

From: Nikolay Aleksandrov <[email-masked]>
Date: Wed, 6 Apr 2016 23:03:38 +0200

On 04/06/2016 10:30 PM, Debabrata Banerjee wrote:
> Set appropriate macvlan interface status based on lower device and our
> status. Can be up, down, or lowerlayerdown.
> 
> Signed-off-by: Debabrata Banerjee <[email-masked]>
> 

May I ask what is exactly that you're fixing here ? I recently had to make macvlan's
operstates more accurate and I haven't experienced any wrong behaviour since commit
de7d244d0a35 ("macvlan: make operstate and carrier more accurate").
Also it's the linkwatch's job to take care for the proper operstate, we can use
netif_stacked_transfer_operstate to help it, but I don't think directly setting
operstate is a good idea.

One more thing - you cannot use netdev_state_change() under the write_lock as it
may sleep.